version: '3'
services:
  db:
    image: postgres
    environment:
      POSTGRES_PASSWORD: 'postgres'
      POSTGRES_USER: postgres
      POSTGRES_DB: model_evaluator
    ports:
      - "5432:5432"
  webapp:
    build:
      context: .
      dockerfile: Dockerfile
      target: base
    ports:
      - 8000:8000
    depends_on:
      - db
    environment:
      DB_PASSWORD: 'postgres'
      DB_USER: postgres
      DB_NAME: model_evaluator
      DB_HOST: db
      DB_NAME_TEST: model_evaluator
      PROMPT_VERSION: v1
    command: tail -F anything
